Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133823 - Documentation icon tooltip causing IllegalStateException for element, which was move.
Documentation icon tooltip causing IllegalStateException for element, which w...
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@soa
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 10:51 UTC by Alexey Yarmolenko
Modified: 2008-06-04 08:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Yarmolenko 2008-04-24 10:51:07 UTC
Please check stack trace below.
Steps to reproduce:
-Create Synchronous Sample project
-DnD assign1 element to the last position in sequence
-Hover mouse cursor over documentation icon.
Exception will appear.

The problem is in documentation button. It SHOULD NOT keep references to BPEL entities it was created for, but keep
UniqueID of this entity. So, when element mutates(due to move or othe manipulation), this button will be able to access
new, valid, copy of this entity.


java.lang.IllegalStateException: Trying to access entity that already was deleted
	at org.netbeans.modules.bpel.model.impl.BpelEntityImpl.checkDeleted(BpelEntityImpl.java:575)
	at org.netbeans.modules.bpel.model.impl.BpelContainerImpl.getChildren(BpelContainerImpl.java:147)
	at org.netbeans.modules.bpel.model.impl.ExtensibleElementsImpl.getDocumentations(ExtensibleElementsImpl.java:135)
	at org.netbeans.modules.bpel.model.impl.ExtensibleElementsImpl.getDocumentation(ExtensibleElementsImpl.java:50)
	at org.netbeans.modules.bpel.documentation.DocumentationButton.getToolTipText(DocumentationButton.java:90)
	at javax.swing.JComponent.getToolTipText(JComponent.java:2910)
	at javax.swing.ToolTipManager$insideTimerAction.actionPerformed(ToolTipManager.java:649)
	at javax.swing.Timer.fireActionPerformed(Timer.java:271)
[catch] at javax.swing.Timer$DoPostEvent.run(Timer.java:201)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Sergey Lunegov 2008-04-25 07:36:13 UTC
Changed target milestone.
Comment 2 pgebauer 2008-04-25 08:21:34 UTC
The issue hasn't be fixed till 61patch1 nomination cut-off date.
Marked as release61_fixes_candidate2.
Comment 3 Vladimir Yaroslavskiy 2008-04-25 11:10:38 UTC
fixed in trunk: 921d3bd481d9
http://hg.netbeans.org/main/rev/921d3bd481d9
Comment 4 Victoria Zhukovskaya 2008-04-25 13:04:57 UTC
reproduced in NetBeans IDE Dev (Build 20080425082446)
#1729
Comment 5 Vladimir Yaroslavskiy 2008-04-25 13:23:47 UTC
fix is available in build >= # 1747.
Comment 6 Vladimir Yaroslavskiy 2008-04-25 14:37:47 UTC
verified on sierra build 1749.
Comment 7 pslechta 2008-04-28 19:11:40 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/2a77c0a778d6


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo